<?php
/* 
 * Plugins Language Switcher plugin Settings form
 * Author: Vladimir Garagulya vladimir@shinephp.com
 */

if (!defined('PLUGINS_LANG_SWITCH_PLUGIN_URL')) {
  die;  // Silence is golden, direct call is prohibited
}


$pluginslangswitch_languages = pluginslangswitch_get_plugins_languages();

$pluginslangswitch_language = get_option('plugins_lang_switch_language', 'en_EN');

function pluginslangswitch_displayBoxStart($title) {
?>
			<div class="postbox" style="float: left;">
				<h3 style="cursor:default;"><span><?php echo $title ?></span></h3>
				<div class="inside">
<?php
}
// 	end of pluginslangswitch_displayBoxStart()

function pluginslangswitch_displayBoxEnd() {
?>
				</div>
			</div>
<?php
}
// end of pluginslangswitch_displayBoxEnd()


$mess = '';
$shinephpFavIcon = PLUGINS_LANG_SWITCH_PLUGIN_URL.'/images/vladimir.png';

?>
  <form method="post" action="options.php">
<?php
    settings_fields('plugins-lang-switch-options');
?>
				<div id="poststuff" class="metabox-holder has-right-sidebar">
					<div class="inner-sidebar" >
						<div id="side-sortables" class="meta-box-sortabless ui-sortable" style="position:relative;">
									<?php pluginslangswitch_displayBoxStart(__('About this Plugin:', 'plugins-lang-switch')); ?>
											<a class="plugins_lang_switch_rsb_link" style="background-image:url(<?php echo $shinephpFavIcon; ?>);" target="_blank" href="http://www.shinephp.com/"><?php _e("Author's website", 'plugins-lang-switch'); ?></a>
											<a class="plugins_lang_switch_rsb_link" style="background-image:url(<?php echo PLUGINS_LANG_SWITCH_PLUGIN_URL.'/images/plswitch-icon.png'; ?>" target="_blank" href="http://www.shinephp.com/plugins-language-switcher-wordpress-plugin/"><?php _e('Plugin webpage', 'plugins-lang-switch'); ?></a>
											<a class="plugins_lang_switch_rsb_link" style="background-image:url(<?php echo PLUGINS_LANG_SWITCH_PLUGIN_URL.'/images/changelog-icon.png'; ?>);" target="_blank" href="http://www.shinephp.com/plugins-language-switcher-wordpress-plugin/#changelog"><?php _e('Changelog', 'plugins-lang-switch'); ?></a>
											<a class="plugins_lang_switch_rsb_link" style="background-image:url(<?php echo PLUGINS_LANG_SWITCH_PLUGIN_URL.'/images/faq-icon.png'; ?>)" target="_blank" href="http://www.shinephp.com/plugins-language-switcher-wordpress-plugin/#faq"><?php _e('FAQ', 'plugins-lang-switch'); ?></a>
                      <a class="plugins_lang_switch_rsb_link" style="background-image:url(<?php echo PLUGINS_LANG_SWITCH_PLUGIN_URL.'/images/donate-icon.png'; ?>)" target="_blank" href="http://www.shinephp.com/donate"><?php _e('Donate', 'plugins-lang-switch'); ?></a>
									<?php pluginslangswitch_displayBoxEnd(); ?>
									<?php pluginslangswitch_displayBoxStart(__('Greetings:','plugins-lang-switch')); ?>
											<a class="plugins_lang_switch_rsb_link" style="background-image:url(<?php echo $shinephpFavIcon; ?>);" target="_blank" title="<?php _e("It's me, the author", 'plugins-lang-switch'); ?>" href="http://www.shinephp.com/">Vladimir</a>
											<?php _e('Do you wish to see your name with link to your site here? You are welcome! Your help with translation and new ideas are very appreciated.', 'plugins-lang-switch'); ?>
									<?php pluginslangswitch_displayBoxEnd(); ?>
						</div>
					</div>
					<div class="has-sidebar" >
						<div id="post-body-content" class="has-sidebar-content">
<?php
	pluginslangswitch_displayBoxStart(__('Select plugins interface back-end language', 'plugins-lang-switch'));
?>
              <select name="plugins_lang_switch_language" id="plugins_lang_switch_language">
<?
  foreach ($pluginslangswitch_languages as $key=>$lang) {
?>
                <option value="<?php echo $key; ?>" <? echo pluginslangswitch_optionSelected($pluginslangswitch_language, $key); ?> ><?php echo $lang; ?></option>
<?php
  }
?>
              </select>
<?php
  pluginslangswitch_displayBoxEnd();
?>
      <div class="fli submit" style="padding-top: 0px;">
          <input type="submit" name="submit" value="<?php _e('Update', 'plugins-lang-switch'); ?>" title="<?php _e('Save Changes', 'plugins-lang-switch'); ?>" />
      </div>
						</div>
					</div>
				</div>
    </form>
